%define upstream_name    TAP-Formatter-HTML
%define upstream_version 0.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    TAP Test Harness output delegate for html output
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/TAP-Formatter-HTML
Source0:    https://cpan.metacpan.org/authors/id/S/SP/SPURKIS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Temp) >= 0.170.0
BuildRequires: perl(Module::Build) >= 0.200.0
BuildRequires: perl(TAP::Parser) >= 3.100.0
BuildRequires: perl(Template) >= 2.140.0
BuildRequires: perl(Test::Harness) >= 3.170.0
BuildRequires: perl(Test::More) >= 0.10.0
BuildRequires: perl(URI) >= 1.350.0
BuildRequires: perl(accessors) >= 0.20.0
BuildArch:  noarch

Requires:   perl(TAP::Parser) >= 3.10
Requires:   perl(Template) >= 2.14
Requires:   perl(URI) >= 1.35
%description
This module provides HTML output formatting for TAP::Harness (a replacement
for Test::Harness. It is largely based on ideas from TAP::Test::HTMLMatrix
(which was built on Test::Harness and thus had a few limitations - hence
this module). For sample output, see:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Aug 29 2023 tv <tv> 0.130.0-1.mga10
+ Revision: 1980918
- update to 0.13

* Mon Mar 28 2022 umeabot <umeabot> 0.110.0-9.mga9
+ Revision: 1830027
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.110.0-8.mga8
+ Revision: 1497252
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.110.0-7.mga7
+ Revision: 1271433
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-6.mga6
+ Revision: 1033647
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.110.0-5.mga6
+ Revision: 940658
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-4.mga5
+ Revision: 749667
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-3.mga5
+ Revision: 686302
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.110.0-2.mga4
+ Revision: 526306
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 0.110.0-1.mga4
+ Revision: 436571
- update to 0.11

* Wed Mar 27 2013 guillomovitch <guillomovitch> 0.90.0-5.mga3
+ Revision: 405827
- fix build dependencies
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- fix spec file

* Thu Oct 27 2011 takashi <takashi> 0.09-3.mga2
+ Revision: 158528
- update to 0.09

* Tue Mar 15 2011 saispo <saispo> 0.07-3.mga1
+ Revision: 72200
- Fix Requires

* Tue Mar 15 2011 saispo <saispo> 0.07-2.mga1
+ Revision: 72193
- Fix Requires

* Tue Mar 15 2011 saispo <saispo> 0.07-1.mga1
+ Revision: 72096
- Fix BuildRequires
- Disable test
- imported package perl-TAP-Formatter-HTML

